[uwsgi]
# 监听端口（nginx采用反向代理模式时必填）
http = 127.0.0.1:5004
# 项目目录
chdir=/home/simon/myquant/djapi
# 启动uwsgi的用户名和用户组
uid=simon
gid=simon
# 指定项目的application
module=djapi.wsgi:application

# 指定sock的文件路径（nginx采用本地模式时必填）
socket=/home/simon/myquant/djapi/uwsgi.sock

# 启用主进程
master=true

# 进程个数
workers=5
pidfile=/home/simon/myquant/djapi/uwsgi.pid

# 自动移除unix Socket和pid文件当服务停止的时候
vacuum=true

# 序列化接受的内容，如果可能的话
thunder-lock=true

# 启用线程
enable-threads=true

# 设置自中断时间
harakiri=30

# 设置缓冲
post-buffering=4096

# 设置日志目录
daemonize=/home/simon/myquant/djapi/uwsgi.log
log-backupname=/home/simon/myquant/djapi/uwsgi.log.old
log-maxsize=10240000

# 设置隔多久加载一次项目代码
py-autoreload=1

# 虚拟环境路径
virtualenv=/opt/miniconda/envs/django

# 配置 Django 的环境配置文件
env = DJANGO_SETTINGS_MODULE=djapi.settings
